BizKitHub
DocsAPI ReferenceChat/bff/chat/create
postChatAdmin BFF

/bff/chat/create

Create a chat room (admin / internal use)

ChatpostBffChatCreate

Parameters

JSON body

Request body

application/json
kind"ai" | "internal" | "external"Optional
titlestringOptional
Length: 0200
sourcestringOptional
Length: 032
modelstringOptional
Length: 0100
participantMemberIdsstring | integer[]Optional
Each array item:
string | integer
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
metadataobjectOptional

Response schema

1 status code documented

200Success
idstringRequired
Length: 2424

Response example

application/json
{
  "id": "example_id"
}

Request example

POST /bff/chat/create

post
curl -X POST "https://api.bizkithub.com/bff/chat/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "title": "example_title",
  "source": "example_source",
  "model": "example_model",
  "participantMemberIds": [],
  "metadata": {}
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key